<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+

/**
* Remove module
* @package TenderSystem
* @subpackage loader
* @copyright Copyright &copy; 2002, ValueCard (Pty) Ltd
* @license http://www.tendersystem.com/tpl/ TenderSystem Public License
* @version 
*/

// Security - ensure that file never called directly
// not required if global variables are off or API is hosted on a non-public server
if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

// instantiate the xml object
$new_xml = new xml;
// set the required type and permission required
$required[0]['classification'] = "3";
$required[0]['permission'] = "2";
// Security - determine if user authorised to perform transaction
$authorised = $new_security->permission_authentication($required,$user,$cfg);
// unauthorised user
if (!$authorised) {
	// instantiate the error class
	$new_error = new error;
	// proses the reponse error
	$xml = $new_error->response_xml($new_security->error,$user,$cfg);
} elseif (is_array($params['table'])) {
	foreach($params['table'] as $key1 => $value1) {
		$sqlstr = "ALTER TABLE ".$cfg['db']['prefix'].$key1." DROP COLUMN ".$value1;
		if($conn->Execute($sqlstr)) {
			$xml_params['sql_success']++;	
		} else {
			// instantiate the error class and log
			$new_error = new error;
			require($cfg['file']."modules/loader/language/".$cfg['language']."/loader_error.php");
			// set the error message
			$error_text = $lang['sqlerror'].$conn->ErrorMsg()." ".$lang['sql']." ".$sqlstr;
			// log the error message as it occurred in ADODB
			$new_error->log("SQL","critical",$error_text,$cfg);
			$params['error'][] = "e7";
		}
	}
	// remove module
	if($params['removeapi']) {
		$xml_params['removeapi'] = "1";
	}
	if($params['removegui']) {
		$xml_params['removegui'] = "1";
	}
	$xml = $new_xml->xml_generator("loader","remove",$params['error'],$xml_params,$user,$cfg);
} else {
	$xml = $new_xml->xml_generator("loader","remove",$params['error'],$xml_params,$user,$cfg);
}
?>