<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+

/**
* Message
* @package TenderSystem
* @subpackage messenger
* @copyright Copyright &copy; 2002, ValueCard (Pty) Ltd
* @license http://www.tendersystem.com/tpl/ TenderSystem Public License
* @version 
*/

// Security - ensure that file never called directly
// not required if global variables are off or API is hosted on a non-public server
if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

// instantiate the xml object
$new_xml = new xml;
// set the required type and permission required
$required[0]['classification'] = "3";
$required[0]['permission'] = "all";
// Security - determine if user authorised to perform transaction
$authorised = $new_security->permission_authentication($required,$user,$cfg);
// unauthorised user
if (!$authorised) {
	// instantiate the error class
	$new_error = new error;
	// proses the reponse error
	$xml = $new_error->response_xml($new_security->error,$user,$cfg);
} else {
	// include required classes
	require($cfg['file'].'modules/generic/class/message.class.php');
	require($cfg['file'].'modules/external/class/smtp/htmlMimeMail.php');
	require($cfg['file'].'modules/'.$module.'/class/messenger.class.php');
	// determine if message must be sent
	if($params['info']) {
		$new_messenger = new messenger;
		// send the messages
		$message_params = $new_messenger->send_messages($params['info'],$user['id'],$cfg,$conn);
		// get branches and organisaition
		$receiver_params = $new_messenger->get_receiver_info($params,$cfg,$conn);
		$xml_params = array(); 
		if(is_array($message_params)) {
			$xml_params = array_merge($xml_params,$message_params);
		}
		if(is_array($receiver_params)) {
			$xml_params = array_merge($xml_params,$receiver_params);
		}
		$xml = $new_xml->xml_generator("messenger","utilities",$new_messenger->error,$xml_params,$user,$cfg);
	} else {
		$new_user = new user;
		// get users
		$xml_params['users'] = $new_user->search($params,$cfg,$conn);
		$xml = $new_xml->xml_generator("messenger","message",$errors,$xml_params,$user,$cfg);
	}
}
?>