<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

<!-- Language,theme,footer -->
<xsl:param name="language" select="/response/user/language"/>
<xsl:param name="lng" select="document(concat('../language/',$language,'/default.xml'))/l"/>
<xsl:param name="theme" select="/response/user/theme"/>
<xsl:include href="../../generic/templates/footer.xsl"/>
<xsl:include href="../../generic/templates/header.xsl"/>

<!-- Template -->
<xsl:template match="/response">

<html>
	<head>
		<title><xsl:value-of select="$lng/editxml"/></title>
		<link rel="stylesheet" type="text/css" href="./theme/{$theme}/style.css"/>
	</head>
<body>
	<div id="wrapper">
		<div id="header">
			<xsl:value-of select="$lng/editxml"/><xsl:value-of select="' '"/><xsl:value-of select="file"/>
		</div>
		<div id="content">
			<xsl:call-template name="header">
				<xsl:with-param name="module" select="'languageeditor'"/>
			</xsl:call-template>
			<div id="main">
				<form enctype="multipart/form-data" action="main.php" method="post" name="report" >
					<input type="hidden" name="module" value="languageeditor"/>
					<input type="hidden" name="function" value="editcalendar"/>
					<input type="hidden" name="lang" value="{lang}"/>
					<input type="hidden" name="reflang" value="{reflang}"/>
					<table border="0" align="center" cellpadding="2" cellspacing="0" width="400" bgcolor="FFFFFF" id="sitediv">
						<tr>
							<td class="h t1">
								<xsl:value-of select="$lng/name"/>
							</td>
							<td class="ha t1">
								<xsl:choose>
									<xsl:when test="phrase/refvalue">
										<xsl:value-of select="$lng/reference"/>
									</xsl:when>
									<xsl:when test="phrase/dailcode">
										<xsl:value-of select="$lng/dailcode"/>
									</xsl:when>
								</xsl:choose>
							</td>
							<td class="ha t1">
								<xsl:value-of select="$lng/value"/>
							</td>
						</tr>
						<xsl:for-each select="phrase">
							<tr>
								<td class="h2b t1">
									<xsl:value-of select="name"/>
								</td>
								<td class="h2c t2">
									<textarea class="readonly t2" readonly="" cols="30">
										<xsl:attribute name="name">refvalues[<xsl:value-of select="name"/>]</xsl:attribute>
										<xsl:choose>
											<xsl:when test="refvalue">
												<xsl:value-of select="refvalue"/>
											</xsl:when>
											<xsl:when test="dailcode">
												<xsl:value-of select="dailcode"/>
											</xsl:when>
										</xsl:choose>
									</textarea>
								</td>
								<td class="h2c t2">
									<textarea class="t2" cols="30">
										<xsl:attribute name="name">values[<xsl:value-of select="name"/>]</xsl:attribute>
										<xsl:value-of select="value"/>
									</textarea>
								</td>
							</tr>
						</xsl:for-each>
						<tr>
							<td align="right" colspan="3">
								<input type="submit" name="update" class="t2">
									<xsl:attribute name="value">
										<xsl:value-of select="$lng/submit"/>
									</xsl:attribute>
								</input>
							</td>
						</tr>
					</table>
				</form>
			</div>
		</div>
	</div>
	<xsl:call-template name="footer"/>
	<script type="text/javascript">
		<xsl:if test="created='1'">
			parent.left.location.reload();
		</xsl:if>
	</script>
</body>
</html>

</xsl:template>

</xsl:stylesheet>
