<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

<!-- Language,theme,footer -->
<xsl:param name="language" select="/response/user/language"/>
<xsl:param name="lng" select="document(concat('../language/',$language,'/default.xml'))/l"/>
<xsl:param name="theme" select="/response/user/theme"/>
<xsl:include href="../../generic/templates/footer.xsl"/>
<xsl:include href="../../generic/templates/header.xsl"/>
<xsl:include href="../../generic/templates/languages.xsl"/>

<!-- Template -->
<xsl:template match="/response">

<html>
	<head>
		<title><xsl:value-of select="$lng/module_name"/></title>
		<link rel="stylesheet" type="text/css" href="./theme/{$theme}/style.css"/>
	</head>
<body>
	<div id="wrapper">
		<div id="header">
			<xsl:value-of select="$lng/removelanguage"/>
		</div>
		<div id="content">
			<xsl:call-template name="header">
				<xsl:with-param name="module" select="'languageeditor'"/>
			</xsl:call-template>
			<div id="main">
				<form enctype="multipart/form-data" action="main.php" method="post" name="report">
					<input type="hidden" name="module" value="languageeditor"/>
					<input type="hidden" name="function" value="remove"/>
					<input type="hidden" name="lang" value="{lang}"/>
					<table border="0" align="center" cellpadding="2" cellspacing="0" width="400" bgcolor="FFFFFF">
						<xsl:if test="remove">
						<tr>
							<td align="left" class="h t1" colspan="2">
								<xsl:value-of select="$lng/remove"/>
							</td>
						</tr>
					<xsl:for-each select="remove">
						<tr>
							<td align="left" class="t2">
								<xsl:value-of select="name"/>
							</td>
							<td align="left" class="t2">
							<xsl:choose>
								<xsl:when test="status='1'">
									<img border="0" valign="top">
										<xsl:attribute name="src">./theme/<xsl:value-of select="$theme"/>/icon/yes.gif</xsl:attribute>
										<xsl:attribute name="alt"><xsl:value-of select="readwriteaccess"/></xsl:attribute>
										<xsl:attribute name="title"><xsl:value-of select="readwriteaccess"/></xsl:attribute>
									</img>
								</xsl:when>
								<xsl:when test="status='0'">
									<img border="0" valign="top">
										<xsl:attribute name="src">./theme/<xsl:value-of select="$theme"/>/icon/no.gif</xsl:attribute>
										<xsl:attribute name="alt"><xsl:value-of select="readwriteaccess"/></xsl:attribute>
										<xsl:attribute name="title"><xsl:value-of select="readwriteaccess"/></xsl:attribute>
									</img>
								</xsl:when>
							</xsl:choose>
							</td>
						</tr>
					</xsl:for-each>
						</xsl:if>
						<xsl:if test="lang">
						<tr>
							<td align="right" class="t1">
								<xsl:value-of select="$lng/remove"/>
								<xsl:value-of select="' '"/>
								<xsl:call-template name="language_value">
									<xsl:with-param name="iso" select="lang"/>
								</xsl:call-template>
							</td>
							<td align="right" class="t1">
								<input type="submit" name="action" class="t2">
									<xsl:attribute name="value">
										<xsl:value-of select="$lng/remove"/>
									</xsl:attribute>
								</input>
							</td>
						</tr>
						</xsl:if>
					</table>
				</form>
			</div>
		</div>
	</div>
	<xsl:call-template name="footer"/>
</body>
</html>

</xsl:template>

</xsl:stylesheet>
