<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+

/**
* Settings
* @package TenderSystem
* @subpackage loader
* @copyright Copyright &copy; 2002, ValueCard (Pty) Ltd
* @license http://www.tendersystem.com/tpl/ TenderSystem Public License
* @version 
*/

// Security - ensure that file never called directly
// not required if global variables are off or API is hosted on a non-public server
if (eregi(basename(__FILE__),$_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

// field request errors and type 
$fields_request = array (
	'action'	=> array()	
);
get_request($fields_request,$action,$error,$cfg);
$valid_settings = array(
	'loaderenable'				=> "['loader']['enable']",
	'loaderexportenable'		=> "['loader']['export']['enable']",
	'loaderimportenable'		=> "['loader']['import']['enable']",
	'loaderremoveenable'		=> "['loader']['remove']['enable']",
	'loaderupgradeenable'		=> "['loader']['upgrade']['enable']",
	'loaderupgradestable'		=> "['loader']['upgrade']['stable']",
	'loaderupgradedevelopment'	=> "['loader']['upgrade']['development']",
	'loaderupgradeextra'		=> "['loader']['upgrade']['extra']"
);
// login submitted
if ($action['action']) {
	// field request errors and type 
	$fields_request = array (
		'loaderenable'				=> array(),
		'loaderexportenable'		=> array(),
		'loaderimportenable'		=> array(),
		'loaderremoveenable'		=> array(),
		'loaderupgradestable'		=> array(),
		'loaderupgradedevelopment'	=> array(),
		'loaderupgradeextra'		=> array(),
		'loaderupgradeenable'		=> array()
	);
	get_request($fields_request,$newguisettings,$error,$cfg);
	// write settings to gui
	if(!write_settings("modules/loader/config.inc.php",$newguisettings,$valid_settings)) {
		// Can't write Settings
		xml_generator("loader","error","e15",$params,$cfg);	
	} else {
		$params['update'] = '1';
		// action completed
		$action = FALSE;
	}
}

if(!$action) {
	// read settings and display
	$params['settings'] = read_settings("modules/loader/config.inc.php",FALSE,$valid_settings,$params,$errors,$cfg);
	xml_generator("loader","settings",$errors,$params,$cfg);
}
?>