<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+

/**
* Organisation profile
* @package TenderSystem
* @subpackage organisation
* @copyright Copyright &copy; 2002, ValueCard (Pty) Ltd
* @license http://www.tendersystem.com/tpl/ TenderSystem Public License
* @version 
*/

// field request errors and type 
$fields_request = array (
	'changeorg'		=> array(),
	'id'			=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"e61"),
	'deleteorg'		=> array()			
);
if(!get_request($fields_request,$action,$error,$cfg)) {
	// display error
	xml_generator("organisation","error",$error,$params,$cfg);
}
if($action['deleteorg']) {
	$update['status'] = "0";
	$params = array(
		'module'		=> 'organisation',
		'function'		=> 'profile',
		'update'		=> $update,
		'id'			=> $action['id']
		
	);
	// send the message to app
	send_message($params,$cfg);
} elseif($action['changeorg']) {
	// field request errors and type 
	$fields_request = array (
		'transaction_fee'			=> array("e1",	REQUEST_PERCENTAGE,	FORMAT_NONE,		"e41"),
		'transaction_min'			=> array("e2",	REQUEST_MONEY,		FORMAT_MONEY,		"e42"),
		'sms_fee'					=> array("e3",	REQUEST_MONEY,		FORMAT_MONEY,		"e44"),
		'user_fee'					=> array("e4",	REQUEST_MONEY,		FORMAT_MONEY,		"e43"),
		'vat_number'				=> array("e5"),
		'registration_number'		=> array("e6"),
		'registered_name'			=> array("e7"),
		'organisationname'			=> array("e8",	REQUEST_ANY,		FORMAT_NONE,		"",		"name"),
		'rating'					=> array("e39",	REQUEST_CHAR,		FORMAT_UCWORDS,		"e59"),
		'rep_user_id'				=> array(),		
		'status'					=> array()
	);
	// upload the file
	if(is_array($_FILES['logo']) && !$_FILES['logo']['error']) {
		$upload_dest = file_upload($_FILES['logo'],"category",$cfg,"organisation","profile",$params);
	}
	if($upload_dest) {
		$logo['name'] = $_FILES['logo']['name'];
		$logo['content'] = base64_encode(file_get_contents($upload_dest));
	}
	// get data
	if(get_request($fields_request,$update,$error,$cfg) && empty($error)) {
		$params = array(
			'module'		=> 'organisation',
			'function'		=> 'profile',
			'update'		=> $update,
			'id'			=> $action['id']
		);
		if($logo) {
			$params['logo'] = $logo;	
		}
	} else {
		$params = array(
			'module'		=> 'organisation',
			'function'		=> 'profile',
			'id'			=> $action['id'],
			'error'			=> $error
		);
	}
	// send the message to app
	send_message($params,$cfg);
} else {	// set parameters
	$params = array(
		'module'		=> 'organisation',
		'function'		=> 'profile',
		'id'			=> $action['id']
	);	
	// send the message to app
	send_message($params,$cfg);
}
?>