<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+

/**
* Profile
* @package TenderSystem
* @subpackage procure
* @copyright Copyright &copy; 2002, ValueCard (Pty) Ltd
* @license http://www.tendersystem.com/tpl/ TenderSystem Public License
* @version 
*/

// field request errors and type
// 1032 - Tender ID must be a number
// 1033 - Missing Tender ID
$fields_request = array (
	'changetender'	=> array(),
	'deletetender'	=> array(),
	'id'			=> array("1032",	REQUEST_NUMBER,	FORMAT_NONE,	"1033")
);
if(!get_request($fields_request,$action,$error,$cfg)) {
	// error
	xml_generator("procure","error",$error,"",$cfg);	
}
if($action['deletetender']) {
	// set parameters
	$params = array(
		'module'	=> 'procure',
		'function'	=> 'delete',
		'id'		=> $action['id']
	);
	// field request errors and type 
	$fields_request = array (
		'notify'	=> array(),
		'message'	=> array()
	);
	get_request($fields_request,$params,$error,$cfg);
	// send the message to app
	send_message($params,$cfg);
} elseif($action['changetender']) {
	// field request errors and type 
	$fields_request = array (
		'extendunit'	=> array(),
		'extendtime'	=> array(),
		'tenderdate'	=> array(),
		'hour'			=> array(),
		'min'			=> array(),		
		'notify'		=> array(),
		'message'		=> array()
	);
	get_request($fields_request,$info,$error,$cfg);
	$params = array(
		'module'		=> 'procure',
		'function'		=> 'profile',
		'info'			=> $info,
		'id'			=> $action['id']
	);
	// send the message to app
	send_message($params,$cfg);
} else {
	// set parameters
	$params = array(
		'module'		=> 'procure',
		'function'		=> 'profile',
		'id'			=> $action['id']
	);
	// send the message to app
	send_message($params,$cfg);
}

?>