<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

<!-- Language,theme,footer -->
<xsl:param name="language" select="/response/user/language"/>
<xsl:param name="lng" select="document(concat('../language/',$language,'/default.xml'))/l"/>
<xsl:param name="theme" select="/response/user/theme"/>
<xsl:include href="../../generic/templates/footer.xsl"/>
<xsl:include href="../../generic/templates/header.xsl"/>
<xsl:include href="../../procure/templates/procure_status.xsl"/>

<!-- Template -->
<xsl:template match="/response">

<html>
	<head>
		<title><xsl:value-of select="$lng/module_name"/></title>
		<link rel="stylesheet" type="text/css" href="./theme/{$theme}/style.css"/>
	</head>
<body>
	<div id="wrapper">
		<div id="header">
			<xsl:value-of select="$lng/displaypub"/>
		</div>
		<div id="content">
			<xsl:call-template name="header">
				<xsl:with-param name="module" select="'public'"/>
			</xsl:call-template>
			<div id="main">
				<form enctype="multipart/form-data" action="main.php" method="post" name="report">
					<input type="hidden" name="module" value="report"/>
					<input type="hidden" name="function" value="show_tender"/>
					<table border="0" align="center" cellpadding="2" cellspacing="0" width="400" bgcolor="FFFFFF">
						<tr>
							 <td><br/></td>
							<td class="h t1">
								<xsl:value-of select="$lng/rfqnumber"/>
							</td>
							<td class="ha t1">
								<xsl:value-of select="$lng/rfqreference"/>
							</td>
							<td class="ha t1">
								<xsl:value-of select="$lng/location"/>
							</td>
							<td class="ha t1">
								<xsl:value-of select="$lng/transport"/>
							</td>
							<td class="ha t1">
								<xsl:value-of select="$lng/createdon"/>
							</td>
							<td class="ha t1">
								<xsl:value-of select="$lng/closeon"/>
							</td>
							<td class="ha t1">
								<xsl:value-of select="$lng/items"/>
							</td>
						<xsl:if test="publicquote='1'">
							<td class="ha t1">
								<xsl:value-of select="$lng/quotes"/>
							</td>
						</xsl:if>
							<td class="ha t1">
								<xsl:value-of select="$lng/status"/>
							</td>
						<xsl:if test="publicopt-in='1'">
							<td class="ha t1">
								<xsl:value-of select="$lng/publicoptin"/>
							</td>
						</xsl:if>
						</tr>
						<xsl:if test="tender/tenderid">
							<xsl:for-each select="tender">
								<tr>
									<td><br/></td>
									<td class="h2b t2" align="center">
										<xsl:value-of select="rfq_number"/>
									</td>
									<td class="h2c t2" align="center">
										<xsl:value-of select="rfq_reference"/>
									</td>
									<td class="h2c t2" align="center">
										<xsl:value-of select="statename"/>:<xsl:value-of select="areaname"/>
									</td>
									<td class="h2c t2" align="center">
										<xsl:choose>
											<xsl:when test="transport='c'">
												<xsl:value-of select="$lng/collect"/>
											</xsl:when>
											<xsl:when test="transport='d'">
												<xsl:value-of select="$lng/deliver"/>
											</xsl:when>
											<xsl:when test="transport='i'">
												<xsl:value-of select="$lng/install"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="$lng/unknown"/>
											</xsl:otherwise>
										</xsl:choose>
									</td>
									<td class="h2c t2" align="center">
										<xsl:value-of select="created_date"/>
									</td>
									<td class="h2c t2" align="center">
										<xsl:value-of select="close_date"/>
									</td>
									<td class="h2c t2" align="center">
										<a>
											<xsl:attribute name="href">
												<xsl:value-of select="concat('./main.php?module=public&amp;function=show_tender_item&amp;tenderid=',./tenderid)"/>
											</xsl:attribute>
											<xsl:value-of select="tenderitemcount"/>
										</a>
									</td>
									<xsl:if test="../publicquote='1'">
										<td class="h2c t2" align="center">
											<a>
												<xsl:attribute name="href">
													<xsl:value-of select="concat('./main.php?module=public&amp;function=show_tender_quote&amp;tenderid=',./tenderid)"/>
												</xsl:attribute>
												<xsl:value-of select="tenderquotecount"/>
											</a>
										</td>
									</xsl:if>
									<td class="h2c t2" align="center">
										<a>
											<xsl:attribute name="href">
												<xsl:value-of select="concat('./main.php?module=public&amp;function=tender&amp;id=',./tenderid)"/>
											</xsl:attribute>
											<xsl:call-template name="tender_icon">
												<xsl:with-param name="classification" select="classification"/>
												<xsl:with-param name="status" select="status"/>
											</xsl:call-template>
										</a>
									</td>
								<xsl:if test="../publicopt-in='1'">
									<td class="h2c t2" align="center">
									<xsl:if test="status='2'">
										<a>
											<xsl:attribute name="href">
												<xsl:value-of select="concat('./main.php?module=public&amp;function=opt-in&amp;tenderid=',./tenderid)"/>
											</xsl:attribute>
											<xsl:value-of select="$lng/publicoptin"/>
										</a>
									</xsl:if>
									</td>
								</xsl:if>
								</tr>
							</xsl:for-each>
							<tr>
								<td><br/></td>
								<td class="h2b" colspan="10">
									<xsl:if test="display &gt; 0">
										<xsl:variable name="previous" select="display - 1"/>
										<a href="main.php?module=public&amp;function=show_tender&amp;displaypage={$previous}&amp;tenderstatus={tenderstatus}">
											<img src="./theme/{$theme}/icon/left.gif" border="0" alt="Previous" hspace="1" align="absmiddle"/>
										</a>
									</xsl:if>
									<xsl:if test="more='1'">
										<xsl:variable name="next" select="display + 1"/>
										<a href="main.php?module=public&amp;function=show_tender&amp;displaypage={$next}&amp;tenderstatus={tenderstatus}">
											<img src="./theme/{$theme}/icon/right.gif" border="0" alt="Next" hspace="1" align="absmiddle" />
										</a>
									</xsl:if>
								</td>
							</tr>
						</xsl:if>
					</table>
				</form>
			</div>
		</div>
	</div>
	<xsl:call-template name="footer"/>
</body>
</html>

</xsl:template>

</xsl:stylesheet>
