<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+

/**
* Supplier report page
* @package TenderSystem
* @subpackage report
* @copyright Copyright &copy; 2002, ValueCard (Pty) Ltd
* @license http://www.tendersystem.com/tpl/ TenderSystem Public License
* @version 
*/

// field request errors and type 
$fields_request = array (
	'supplierid'		=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"e10"),
	'organisationid'	=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"e10"),
	'display'			=> array()	
);
if(!get_request($fields_request,$action,$error,$cfg)) {
	// display error
	xml_generator("report","error",$error,$params,$cfg);
}
if($action['display']) {
	// field request errors and type 
	$fields_request = array (
		'reporttype'	=> array("e2"),
		'tenderstatus'	=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"e11"),
		'startdate'		=> array("",	REQUEST_DATE,	FORMAT_NONE,	"e12"),
		'enddate'		=> array("",	REQUEST_DATE,	FORMAT_NONE,	"e13"),
		'rfqnumber'		=> array(),
		'stateid'		=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"e14"),
		'areaid'		=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"e15"),
		'firstsort'		=> array(),
		'secondsort'	=> array()
	);
	if(get_request($fields_request,$info,$error,$cfg)) {
		$params = array(
			'module'		=> 'report',
			'function'		=> 'supplier',
			'reportinfo'	=> $info,
			'supplierid'	=> $action['supplierid']
		);
		// send the message to app
		send_message($params,$cfg);
	} else {
		$params = array(
			'module'		=> 'report',
			'function'		=> 'supplier',
			'error'			=> $error,
			'supplierid'	=> $action['supplierid']
		);
		// send the message to app
		send_message($params,$cfg);
	}
} else {
	$params = array(
		'module'		=> 'report',
		'function'		=> 'supplier',
	);
	if($action['supplierid']) {
		$params['supplierid'] = $action['supplierid']; 	
	} else {
		$params['supplierid'] = $action['organisationid'];
	}
	// send the message to app
	send_message($params,$cfg);
}
?>