<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+

/**
* Show supplier information
* @package TenderSystem
* @subpackage organisation
* @copyright Copyright &copy; 2002, ValueCard (Pty) Ltd
* @license http://www.tendersystem.com/tpl/ TenderSystem Public License
* @version 
*/

// field request errors and type 
$fields_request = array (
	'search'	=> array()		
);
get_request($fields_request,$action,$error,$cfg);
if($action['search']) {
	// field request errors and type
	// 1002 - Organisation ID must be a number
	// 1006 - Area ID must be a number
	// 1023 - Category ID must be a number
	// 1025 - Sub Category ID must be a number 
	// 1040 - State ID must be a number
	$fields_request = array (
		'organisationid'	=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"1002"),
		'name'				=> array("",	REQUEST_ANY,	FORMAT_NONE,	"",		"searchvalue"),
		'category'			=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"1023"),
		'category_sub'		=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"1025"),
		'state'				=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"1040"),
		'area'				=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"1006"),
		'panel'				=> array("")
	);
	// get data
	if(get_request($fields_request,$info,$error,$cfg)) {
		$info['extrainfo'] = TRUE;
		$params = array(
			'module'		=> 'tender',
			'function'		=> 'supplier_search',
			'searchinfo' 	=> $info
		);
		// send the message to app
		send_message($params,$cfg);
	} else {
		// display error
		xml_generator("tender","error",$error,$params,$cfg);
	}
} else {
	// field request errors and type
	// 1002 - Organisation ID must be a number 
	$fields_request = array (
		'organisationid'	=> array("",	REQUEST_NUMBER,	FORMAT_NONE,	"1002")
	);
	if(!get_request($fields_request,$action,$error,$cfg)) {
		// display error
		xml_generator("tender","error",$error,$params,$cfg);
	}
	$params = array(
		'module'			=> 'tender',
		'function'			=> 'supplier_search',
		'organisationid'	=> $action['organisationid']
	);
	// send the message to app
	send_message($params,$cfg);
}
?>