<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

<!-- Language,theme,footer -->
<xsl:param name="language" select="/response/user/language"/>
<xsl:param name="lng" select="document(concat('../language/', $language, '/default.xml'))/l"/>
<xsl:param name="theme" select="/response/user/theme"/>
<xsl:include href="../../generic/templates/footer.xsl"/>
<xsl:include href="../../generic/templates/header.xsl"/>

<!-- Template -->
<xsl:template match="/response">
<html>
	<head>
		<title><xsl:value-of select="$lng/module_name"/></title>
		<link rel="stylesheet" type="text/css" href="./theme/{$theme}/style.css"/>
	</head>
<body>
	<div id="wrapper">
		<div id="header"><xsl:value-of select="$lng/themeerror"/></div>
		<div id="content">
			<xsl:call-template name="header">
				<xsl:with-param name="module" select="'theme'"/>
			</xsl:call-template>
		</div>
	</div>
	<xsl:if test="sessionexpire='true'">
		<script language="JavaScript">
			setTimeout('refresh()',2000);
			function refresh() {
			    parent.location.reload();
			}
		</script>
	</xsl:if>
	<xsl:call-template name="footer"/>
</body>
</html>
</xsl:template>
</xsl:stylesheet>